Last Comment Bug 275783 - Java causes ghost Firefox process to remain after closing
: Java causes ghost Firefox process to remain after closing
Status: VERIFIED INVALID
Java problem. Fixed in Java 6 version...
: helpwanted, testcase
Product: Core Graveyard
Classification: Graveyard
Component: Java: OJI (show other bugs)
: Trunk
: x86 Windows XP
: -- critical with 15 votes (vote)
: ---
Assigned To: Alfred Peng
: oji
Mentors:
http://ca.yahoo.com/
: 260889 272157 277369 279997 319275 324087 328083 332651 334063 336504 337265 338465 343439 349792 350609 404911 (view as bug list)
Depends on: 286004
Blocks: ghostproc 172129 323026 366963
  Show dependency treegraph
 
Reported: 2004-12-23 01:00 PST by Greg McGillis
Modified: 2010-10-16 12:26 PDT (History)
51 users (show)
asa: blocking‑aviary1.5-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Stack of deadlock hang in the java plugin shutdown (16.29 KB, text/plain)
2005-03-31 10:22 PST, Benjamin Smedberg [:bsmedberg]
no flags Details
testcase (411 bytes, text/html)
2007-09-04 08:04 PDT, Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( )
no flags Details

Description Greg McGillis 2004-12-23 01:00:25 PST
Playing yahoo games, euchre specifically, the browser hung. i closed it down.
The Java console indicator remained in the systray. Sometimes two java console
indicators are there but passing the mouse over them gets rid of one.

When I close the browser, I can't re-open because the default profile is already
in use. Going into the task manager, I find that it thinks Firefox is still
open. closing it down manually through task manaager allows me to restart.
Comment 1 Greg McGillis 2004-12-24 22:21:15 PST
I recently uninstalled previous versions of Java from the Control Panel and
believe that was the problem.
Comment 2 Greg McGillis 2004-12-27 03:11:48 PST
I thought that i had solved it, but even though I took off all other versions of
java, it still hangs. 

This is a pretty serious problem with the browser and I've tried everything i
can think of.
Comment 3 Collin 2005-03-05 23:32:00 PST
this also happens with me. when playing yahoo games (hearts), i can not go to a
new web page in any window, or open up a new window or a new tab. when i close
all of the open windows the java icon remains in the tray and the firefox.exe
remains open
Comment 4 Tristor 2005-03-22 19:29:58 PST
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b2) Gecko/20050322
Firefox/1.0+

Testing for reproduction in the latest nightly with JRE 1.5/5.0

I went to Yahoo! Games and opened up their game client, which of course, opens a
new window with the applet inside of it.  I opted for Go Fish! just because it
is more fun than Euchre.  At any rate, upon closing the Yahoo! Games client
applet, Firefox seemed to lag noticably.  As I closed the other tabs I had open,
besides Yahoo! Games (This bug, and a bugzilla query), Firefox didn't display
the currently focused tab, or change the amount of tabs under the toolbar to
show that the tabs were closed.  Upon closing the browser, I opened the Task
Manager, and confirmed that Firefox did indeed hang using 0% CPU with 66MB of
RAM.  I had no issues with restarting Firefox however, as mentioned by the reporter.

Filling in a little left out information by the reporter.

Steps to Reproduce:

1. Open Yahoo! Games
2. Login
3. Pick any of the card games
4. Pick a room or click the Play Now button
5. After the applet loads, wait a moment, then close it
6. Close Firefox
7. Open the Windows Task Manager and observe that Firefox is indeed still running

Actual Result:

Firefox doesn't exit cleanly, and leaves behind a running process when encounted
with a Java applet on Yahoo! Games.

Expected Result:

Firefox exits cleanly, both firefox.exe and javaw.exe processes are ended, and
nothing extra needs to be done to restart.  Firefox doesn't hang when closing
Yahoo! Games Java applets.


Changing status from Unconfirmed to New and adding myself as CC
Comment 5 Grey Hodge (jX) 2005-03-23 23:13:18 PST
CCing myself, as I've been meaning to file this for a looooong time...
Comment 6 Grey Hodge (jX) 2005-03-23 23:15:41 PST
Changing description to be more precise
Comment 7 Grey Hodge (jX) 2005-03-23 23:16:16 PST
*** Bug 260889 has been marked as a duplicate of this bug. ***
Comment 8 Grey Hodge (jX) 2005-03-23 23:27:54 PST
Changing Product...
Comment 9 Tristor 2005-03-23 23:59:27 PST
*** Bug 277369 has been marked as a duplicate of this bug. ***
Comment 10 Benjamin Smedberg [:bsmedberg] 2005-03-25 18:41:04 PST
I'm pretty sure this exists a lot out in the wild, and I'm having trouble
reproducing it in any build with symbols. Helpwanted.
Comment 11 Grey Hodge (jX) 2005-03-25 20:19:44 PST
I see it almost everytime when I play Spades at Yahoo. Tristor's steps are
basically what it takes. I'm using the 1.5_02 JRE currently, but it happened
with 1.5 as well. It very wll may have happened with 1.4, but I can't recall
clearly what I was using when I first noticed it.
Comment 12 Tristor 2005-03-25 20:52:56 PST
*** Bug 272157 has been marked as a duplicate of this bug. ***
Comment 13 Kevin Ar18 2005-03-26 06:41:17 PST
(In reply to comment #10)
> I'm pretty sure this exists a lot out in the wild, and I'm having trouble
> reproducing it in any build with symbols. Helpwanted.
Are you able to reproduce the testcase from Bug 277369:

Some Java applets are able to slow down Firefox to the extent that visiting
other sites in the browser (in other tabs) will not work.

One method to reproduce:
1. Go to: http://www.izhuk.com/painter/
2. Open other some other sites in another window or tab.

Result:
The other pages will not load for some time (I did not actually wait to see how
long it would take for things to become responsive).  Closing Firefox crashes
the browser due to another bug.
Comment 14 Benjamin Smedberg [:bsmedberg] 2005-03-31 10:22:09 PST
Created attachment 179183 [details]
Stack of deadlock hang in the java plugin shutdown

This is a partial stack where I've traced the problem to a deadlock in the java
plugin shutdown/destroy code. The missing pieces of the stack are in Java-land
where I don't have debugging symbols.
Comment 15 Benjamin Smedberg [:bsmedberg] 2005-03-31 13:17:25 PST
See also bug 275783 which is a crash under similar circumstances.
Comment 16 Benjamin Smedberg [:bsmedberg] 2005-03-31 13:24:21 PST
Oops, I meant 287034. See also bug 285982, bug 286004.
Comment 17 Kevin Ar18 2005-04-05 12:19:58 PDT
(In reply to comment #14)
> Created an attachment (id=179183) [edit]
> Stack of deadlock hang in the java plugin shutdown
> 
> This is a partial stack where I've traced the problem to a deadlock in the java
> plugin shutdown/destroy code. The missing pieces of the stack are in Java-land
> where I don't have debugging symbols.

Does this mean that the problem is in Sun's version of Java and not in Firefox?
Comment 18 Benjamin Smedberg [:bsmedberg] 2005-04-05 12:26:30 PDT
Yes. But that doesn't mean we're not going to try and find a workaround: there
are too many JVMs out in the world to just ignore them.
Comment 19 Tristor 2005-04-05 14:30:52 PDT
*** Bug 287825 has been marked as a duplicate of this bug. ***
Comment 20 Kyle Yuan 2005-04-13 03:33:56 PDT
I'll look into this.
Comment 21 Grey Hodge (jX) 2005-04-14 17:20:18 PDT
*** Bug 279997 has been marked as a duplicate of this bug. ***
Comment 22 Razvan CB 2005-04-14 21:35:00 PDT
(In reply to comment #18)
> Yes. But that doesn't mean we're not going to try and find a workaround: there
> are too many JVMs out in the world to just ignore them.

Right. All the browsers I tried had a problem with this and they either hang or
crash so it is definetely a Java issue...
Opera however seems to be working best on this issue. 

One more thing... 

This problem does not appear to be present in systems not having WinXP Service
pack 2. I helped a friend of mine get a new laptop and this problem appeared as
soon as she started playing Yahoo canasta (winxp sp2). 
Playing the same thing on the old laptop - winxp... ugh.. I don't know whether
it had or not SP1, sorry :-( - didn't pose any problems. Also, JVM was < 1.5 on
the old laptop.

Good Hunting!
Comment 23 Kyle Yuan 2005-04-14 23:56:37 PDT
Filed a P1 bug 6255782 in Sun bug database to track this issue.
Comment 24 Grey Hodge (jX) 2005-05-01 17:56:51 PDT
Yet another talkback stack on this: TB5490238H

Basically,
http://talkback-public.mozilla.org/talkback/fastfind.jsp?search=1&searchby=url&match=contains&searchfor=games.yahoo

That'll give all the games.yahoo.* crashes. I thought I'd add a few more details
too. It doesn't just make it impossible to normally exit Firefox. It screws with
lots of stuff. Sometimes the URLbar stops being updated. It just shows one URL
that the browser/tab was on when you closed the Yahoo games, and stays as that
while you click and use bookmarks, etc. Eventually, the forward/back buttons
stop working, and eventually the whole browser just comes to a stop, or crashes
(sometimes generating the talkbacks you see at that search URL). It's really
nasty, and is generating a lot of user frustration among Yahoo Games users.
Comment 25 Kyle Yuan 2005-06-03 21:29:19 PDT
mass reassign my bugs to Pete Zha.
Comment 26 Jack Steinhilper 2005-06-14 19:11:09 PDT
Removed jsteinhilper from CC list.  Bought new laptop running XP pro service
pack two and it doesn't seem to have this problem.   So I don't think I'll be of
much help any longer.
Comment 27 Pete Zha 2005-06-14 19:46:34 PDT
FYI, this bug will be fixed in Java1.6.0
Comment 28 Asa Dotzler [:asa] 2005-06-15 12:56:31 PDT
Doesn't look like we can do a lot more until we get a new JRE.
Comment 29 WADA 2005-06-20 14:05:35 PDT
Dup of Bug 172129?
Comment 30 Tristor 2005-06-20 19:35:21 PDT
(In reply to comment #29)
> Dup of Bug 172129?

I am not sure if it is the same issue or not.  It doesn't necessarily look like
it to me, and without matching stack traces and making 100% sure they are the
same, I don't think duping it would be appropriate, not to mention that this bug
has more activity and the attention of the Sun devs, while the other bug appears
to be dormant since the middle of 2004.
Comment 31 WADA 2005-06-20 22:24:26 PDT
(In reply to comment #30)
> this bug has more activity and the attention of the Sun devs
> I don't think duping it would be appropriate
I see, and I agree with you even if same problem.
Putting Bug 172129 in "Blocks" field of this bug.
Comment 32 WADA 2005-06-20 23:04:39 PDT
By the way, similar problem was reported to Bugzilla Japan last year, and we
Japanese opened Sun Java bug ID=5075590 on 19-July-2004.
 ( http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5075590 )
But the bug was immediately closed as "not a bug" on 2004-07-19 by Sun.
Then we searched Bugzilla.Mozilla.Org, and found Bug 172129, and we have been
watching Bug 172129, but no progress as you know...

Anyway, looking forward to Java 1.6.
Comment 33 WADA 2005-06-24 18:51:41 PDT
JDK/JRE 5.0 Update 4 (Java 1.5.0_04) is newly available at Sun Java download site.
( http://java.sun.com/j2se/1.5.0/download.jsp )
Release Notes ( http://java.sun.com/j2se/1.5.0/ReleaseNotes.html ) says that
bug_id=6255782 is fixed by this update.
Comment 34 Sachin 2005-06-28 18:47:08 PDT
http://www.wimbledon.org/en_GB/scores/index.html also uses a Java Applet which
crashes Firefox (I am using 1.0.4 on WinXP SP2 Pro).
Comment 35 Sachin 2005-06-28 19:10:46 PDT
Installing the Sun JDK/JRE 5.0 Update 4 solved the Wimbledon Score Applet crash
issue (see last comment), I also tried Yahoo Games: Text Twist which earlier
used to crash FireFox but after the JRE update Text Twist loaded properly, and I
was able to close and restart Firefox without any issues. The only problem that
I found is that the JRE Process doesn't clean itself up even after closing
FireFox (the JRE icon goes away from the systray) but I see it as a running
process in Process Explorer.
Comment 36 Tristor 2005-07-01 07:07:19 PDT
Pete, Is this bug fixed as far as Sun's end?  You said it would take till 1.6.0,
but it appears that the most recent update to 1.5.x has solved whatever problem
was occurring, based on reports here.
Comment 37 Grey Hodge (jX) 2005-07-01 11:56:57 PDT
I was really wrong. It was a spurious result in my testing. Not fixed by 1.5_04
Comment 38 Greg McGillis 2005-07-01 12:12:36 PDT
I tried it with yahoo euchre and had the same problem come back and the same
work-around problem.

You'd think this wouldn't be rocket science for Sun to fix.
Comment 39 Pete Zha 2005-07-02 05:03:10 PDT
(In reply to comment #36)
> Pete, Is this bug fixed as far as Sun's end?  You said it would take till 1.6.0,
> but it appears that the most recent update to 1.5.x has solved whatever problem
> was occurring, based on reports here.

Some important fixes are also checked in update releases of Java 1.5. I will
double check it.
Comment 40 Sachin 2005-07-02 06:57:55 PDT
JDK/JRE 5 update 4 still doesn't fix the issue with Yahoo Games or Wimbledon
scorecard, now the wimbledon score applet launches but on exiting, Firefox
doesn't clean itself up and shows as still running under Task Explorer.
Comment 41 matt jaroneski 2005-08-05 06:19:22 PDT
Version 1.5.0 (build 1.5.0_04-b05) seems to fix it but i have not done extensive
testing
Comment 42 adamrleggett 2005-08-17 11:54:25 PDT
Even if Sun does fix this in JRE 1.6, is there nothing that can be done on the 
browser side to support the older JRE / JVMs?

I'm not experiencing similar hangs in IE or Opera.
Comment 43 Al 2005-08-24 01:53:07 PDT
(In reply to comment #42)
> Even if Sun does fix this in JRE 1.6, is there nothing that can be done on the 
> browser side to support the older JRE / JVMs?
> 
> I'm not experiencing similar hangs in IE or Opera.

If your developing your own app. there is a work-around if due to applet in
popup window. See #216091 (https://bugzilla.mozilla.org/show_bug.cgi?id=216091#c5)
Comment 44 WADA 2005-08-27 17:15:26 PDT
(In reply to comment #38 and comment #40)

I've found Bug 299024 for Java 1.5.0_04. 
> Bug 299024 : Java 1.5.0 update 4 causes dom 1 html test suite to fail
>              to complete with hung process

Greg McGillis(opener of this bug) and Sachin, your current hang(when Java
1.5.0_04) is same hang as one in comment #0?
Or new problem such as Bug 299024? (seems to be new in Java 1.5.0.04)
Or same problem as Bug 216091? (pointed by comment #43)
Are there any difference between original hang and latest hang?
(Java Console message, JavaScript console message, hunging process, and so on)

Comment 45 Sachin 2005-09-01 16:38:35 PDT
(In reply to comment #44)
> (In reply to comment #38 and comment #40)
Mine is more or less the same as in the hang in #0, also Firefox froze when
trying to view scorecard on usopen.org. it happened only once though & haven't
been able to replicate it again.

S
Comment 46 Pete Zha 2006-02-17 01:59:22 PST
mass reassign to Alfred
Comment 47 Ryan Flint [:rflint] (ping via IRC for reviews) 2006-02-21 11:57:30 PST
*** Bug 328083 has been marked as a duplicate of this bug. ***
Comment 48 Alfred Peng 2006-04-04 03:01:03 PDT
With Mozilla/5.0 (Windows; U; Windows NT 5.1; zh-CN; rv:1.8.0.1)
Gecko/20060111 Firefox/1.5.0.1 and Java Plug-in 1.5.0_06, the bug exists.
For Java Plug-in 1.5.0_07_b02 which has been promoted. I can't reproduce the bug here.
Comment 49 duntkno 2006-04-04 08:28:28 PDT
whered you get that java plug in, i cant find it
Comment 50 Alfred Peng 2006-04-05 00:54:10 PDT
The build is for internal only now.
Comment 51 Bernd 2006-04-08 04:02:29 PDT
*** Bug 332651 has been marked as a duplicate of this bug. ***
Comment 52 Ray Trent 2006-06-14 20:22:58 PDT
Still happens for me with JRE 1.5.0_07, which I'm assuming is the release version of the build referred to in comment 48.
Comment 53 Phil Ringnalda (:philor) 2006-07-02 18:56:35 PDT
*** Bug 343439 has been marked as a duplicate of this bug. ***
Comment 54 Michael Harris 2006-07-15 16:09:28 PDT
I believe this problem only occurs after a suspend/resume of the machine when firefox is running.

I have observed that if I suspend the machine w/ firefox running, then resume it, then go to a web page with java applets on it, then I get this problem.

After the suspend/resume cycle, every single time I start firefox and go to a page with java applets, it hangs. It is not necessary to do another suspend/resume to get back into a state where it will hang.

If I reboot the machine, though, it goes back to normal behaivour.

I have a laptop and routinely use suspend/resume, in fact often I don't reboot for weeks at a time, which explains why this problem seemed to be so easily reproducible for me.

I have not had time to do any extensive testing of the combinations (is it really necessary for firefox to be running at the time of the initial suspend? Does jre have to be active when the suspend occurs?).
Comment 55 regist123 2006-07-26 10:30:12 PDT
If this is really a Java issue, how are other browsers specifically IE and Opera able to handle this while Firefox can't?
Comment 56 Phil Ringnalda (:philor) 2006-08-22 17:30:28 PDT
*** Bug 349792 has been marked as a duplicate of this bug. ***
Comment 57 Sergey Nazarov 2006-09-05 08:16:33 PDT
The problem persists in JRE1.6Beta. Unfortunately...
Comment 58 Jo Hermans 2006-12-02 16:44:52 PST
*** Bug 338465 has been marked as a duplicate of this bug. ***
Comment 59 Jo Hermans 2006-12-02 16:45:30 PST
*** Bug 350609 has been marked as a duplicate of this bug. ***
Comment 60 Jo Hermans 2006-12-02 16:45:48 PST
*** Bug 337265 has been marked as a duplicate of this bug. ***
Comment 61 Jo Hermans 2006-12-02 16:47:12 PST
*** Bug 336504 has been marked as a duplicate of this bug. ***
Comment 62 Jo Hermans 2006-12-02 16:47:37 PST
*** Bug 334063 has been marked as a duplicate of this bug. ***
Comment 63 Jo Hermans 2006-12-02 16:48:08 PST
*** Bug 324087 has been marked as a duplicate of this bug. ***
Comment 64 Jo Hermans 2006-12-02 16:48:35 PST
*** Bug 319275 has been marked as a duplicate of this bug. ***
Comment 65 David Aznar Reguero 2007-04-16 05:29:20 PDT
JRE 1.6.0_01-ea with Firefox 2.0.0.3 still has this bug
Comment 66 Gili 2007-06-07 08:33:15 PDT
Is this a duplicate of bug 375070?
Comment 67 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-09-04 08:04:43 PDT
Created attachment 279607 [details]
testcase

I'm seeing this bug with this testcase. After visiting this testcase, Firefox won't exit properly, it stays stuck as a system process.
With this testcase, I also suffer from bug 256763.
I see this problem even with Mozilla1.7.12.
Comment 68 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-09-04 08:09:19 PDT
And when I visit the testcase, then visit another page and then go back, I crash:
http://crash-stats.mozilla.com/report/index/8a35b475-5af5-11dc-aba8-001a4bd46e84
0  	jpinscp.dll@0xcf45  	
1 	InternalCallWinProc 	
2 	UserCallWinProcCheckWow 	
3 	CallWindowProcAorW 	
4 	CallWindowProcA 	
5 	jpinscp.dll@0x3788 	
6 	InternalCallWinProc 	
7 	UserCallWinProcCheckWow

I think this is really, really bad, asking for blocking1.9? 
Comment 69 Jonas Sicking (:sicking) 2007-09-04 17:14:32 PDT
This looks like a java bug. And a really bad one at that.

Alfred, is there any chance you'd have time to look at this?
Comment 70 Henrik Skupin (:whimboo) 2007-09-05 01:50:51 PDT
(In reply to comment #67)
> I'm seeing this bug with this testcase. After visiting this testcase, Firefox
> won't exit properly, it stays stuck as a system process.

Martijn, when I open the testcase my current 1.8 nightly build (WinXP) completely hangs with Java 6 Update 2 installed. I have to kill Firefox and as you already mentioned a process still remains in memory.
Comment 71 Parkhideh 2007-09-05 11:04:26 PDT
My setup on all Win OS is Firefox 2.0.0.1 and Java Version 1.4.2_10

I can repeat comment #1 by being booted :) from a Yahoo games room every time under Win XP (Firefox crashes and restart fails again).  It never happens under Win 98 or Win 2000 Server.

So I tested both comments #67 and #68 under Win 98 and the system continues to work fine.  No crashes and no ghost process left behind.

Comment 72 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-09-05 11:22:21 PDT
Ok, I guess Java Version 1.4.2_10 works fine in this particular case, but I'm pretty sure I could write a case for it that does cause a ghost process for that version.
However, that's not as useful, the latest version of a software product should be tested.
Comment 73 Parkhideh 2007-09-05 13:23:41 PDT
(In reply to comment #72)
Misunderstanding Martijn.  Java Version 1.4.2_10 does crash under XP.

Unfortunately I cannot help you under Win 98 because newer Java does not run.  However, what is your guess if I run higher versions of Java under Win 2000 Server?  And if it does not crash, will that be useful information for trouble shooting?
The reason for the "what if" is that I did have a PC with NetBeans 5.5 under Win 2000 and that never crashed under Yahoo Games.  I think it ran Java 1.5 or whatever is the minimum level required by NetBeans 5.5 IDE.  If you think the exercise is useful I will set it up again and try your test link.


Comment 74 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-09-05 14:13:36 PDT
Thanks, but it's probably not useful to add any information, at this moment.
What really is needed is a developer that fixes this issue.
And like comment 69 said, this is likely to be a Java bug, so hopefully a Java developers is stepping up.
Comment 75 Gili 2007-09-05 14:17:23 PDT
Can anyone reproduce this issue with the latest release of Java6 or Java7? Sun is much more likely to fix this issue if you reproduce it in the latest versions and you have a minimal testcase they can look at. I can personally pass this bug report to Sun on your behalf through my contacts but you need to make it easier for them to reproduce it on their end.
Comment 76 danielle.pham 2007-09-06 15:21:12 PDT
Except for several NPEs (which are expected because the <applet> tag missing "code" attribute and hence AppletClassLoader sees NPE for applet class name), I cannot reproduce either the FF ghost process or the crash with testcase at https://bugzilla.mozilla.org/attachment.cgi?id=279607 when using JRE 1.5.0_12 or 6.0u2 (current latest on java.com) or nightly 7.0 and FF 2.0.0.6.

The stack trace provided in comment #68 doesn't contain Java plugin symbols so I can't tell whether it resembles some of the "ghost process" or crashes that had been fixed in Java Plugin.

Could someone please try to reproduce the problem with latest release of Java from java.com?

We are working on further improve the robustness of Java Plugin in 6.0u5. If someone interested in testing with pre-release 6.0u5, please let me know. 
Comment 77 François Gagné 2007-09-06 16:29:58 PDT
New Profile,
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.7pre) Gecko/20070906 BonEcho/2.0.0.7pre ID:2007090603
Java Plug-in 1.6.0_02 for Netscape Navigator (DLL Helper)

When I load the testcase and close Firefox, there is a firefox.exe process in the task manager.

Comment 78 François Gagné 2007-09-06 16:44:35 PDT
Ok same thing with Firefox 2.0.0.6

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070725 Firefox/2.0.0.6

Windows XP SP2 English.
Comment 79 Gili 2007-09-06 18:09:33 PDT
Hi Danielle,

I am interested in testing with a pre-release of 6.0u5.

I am surprised you cannot reproduce it on your end. I see it consistently under build 1.7.0-ea-b19. To be clear, you shouldn't expect to see a crash upon running the testcase but rather you should expect to see a zombie firefox.exe process after you shut down the browser.

Is there anything I can do on my end to get you more debug information?
Comment 80 danielle.pham 2007-09-06 18:18:40 PDT
Could you please try the following interim builds of 6u4 and 6u5:

6u4:
http://www.annepoon.com/java/jre-6u4.exe 

6u5:
http://www.annepoon.com/java/jre-6u5.exe 

In 6u4, several fixes related to plugin shutdown/startup had been fixed.
In 6u5, quite a code revamp of the overall plugin was done.

Sorry that you have to go to a private site to download these bits for now.
Likely starting with 6u5 build 4, we will push interim builds to java.net so that everyone can download.

Gili, the works done in 6 updates haven't been forward ported to 7.0 just yet.
We're working on that.

Thanks.
Comment 81 Gili 2007-09-06 18:21:31 PDT
Danielle,

How do I configure which plugin gets used in FireFox if I have multiple JREs installed? Or do I have to uninstall all JREs except the one I want to test?
Comment 82 danielle.pham 2007-09-06 18:33:26 PDT
Firefox will automatically picks up the latest Java installed.
Please install 6u4 first to test, then 6u5.
In your case, please remove 7.0 first.
Comment 83 Gili 2007-09-06 18:45:19 PDT
I can reproduce the bug in 6u2 and 7b19 but not in 6u4 or 6u5. It looks like you nailed it :)

Thank you Danielle! :)
Comment 84 danielle.pham 2007-09-06 18:56:21 PDT
Woohoo!
THANK YOU!

So this bug can be closed now?
Comment 85 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2007-09-06 19:08:46 PDT
Thanks, I can verify that the bug isn't there anymore with the testcase in the 6u4 version.
I'm not sure this bug can be closed, since the updated version hasn't been released yet.
Comment 86 Parkhideh 2007-09-13 11:34:10 PDT
(In reply to comment #80)
Danielle,
I wanted to try Yahoo games that caused the original report of this bug.  But the links below do not respond.  Are there restrictions or are they removed?

Out of curiosity does JRE have different execution paths for Win 2000 and Win XP;  this because I could not create the original issue with Win 2000.
Thanks.



> Could you please try the following interim builds of 6u4 and 6u5:
> 
> 6u4:
> http://www.annepoon.com/java/jre-6u4.exe 
> 
> 6u5:
> http://www.annepoon.com/java/jre-6u5.exe 
> 
> In 6u4, several fixes related to plugin shutdown/startup had been fixed.
> In 6u5, quite a code revamp of the overall plugin was done.
> 
> Sorry that you have to go to a private site to download these bits for now.
> Likely starting with 6u5 build 4, we will push interim builds to java.net so
> that everyone can download.
> 
> Gili, the works done in 6 updates haven't been forward ported to 7.0 just yet.
> We're working on that.
> 
> Thanks.
> 

Comment 87 danielle.pham 2007-09-13 12:17:33 PDT
Parkhideh,
Those links still work. Please try again.
However, I will have these links removed soon because they are unofficial builds by engineering. Anyone who interested in accessing Sun's interim builds, should become a Sun's CAP member. Send me an email so I can get you in touch with the right person who handles CAP program.

No different code branch for Win2K vs WinXP. However the problem reported in this bug is a regression happened starting with some build of 5.0 development timeframe.
You're likely not seeing this "ghost process" problem if you're using 1.4.2 or older release.
Comment 88 Parkhideh 2007-09-15 03:05:06 PDT
(In reply to comment #87)
> Parkhideh,
> Those links still work. Please try again.

Thank you for your response.

Unfortunately this is all I get  :(

The server at www.annepoon.com is taking too long to respond.
    *   The site could be temporarily unavailable or too busy. Try again in a few moments.

    *   If you are unable to load any pages, check your computer's network
          connection.

    *   If your computer or network is protected by a firewall or proxy, make sure that Firefox is permitted to access the Web.

I asked two more people to download with different browsers and they get "Page not found" message.
Comment 89 Mikel Ward 2007-11-04 15:28:09 PST
I'm getting possibly related problems with Sun Java 1.6.0_03-b05.  Is that the same as 6u5 you were referring to?

Bug 402389 and bug 402391.
Comment 90 Gili 2007-11-04 15:38:44 PST
No, 1.6.0_03-b05 is actually "update 3 build 5". Sun's version number is darn confusing.
Comment 91 James 2007-11-16 05:53:35 PST
I'm running Firefox 2.0.0.9 and Java 1.6.0 (Build 1.6.0_02-b06) on Windows XP.

However, I have had this problem for several months with several versions of both Firefox and Java.

My company uses Java on our site and I'm frequently opening Java applets, several times a day.

I get the same problem as above, the browser completely locks up and after closing it, I cannot open it again because of the ghost Firefox process running. After stopping the process, I can reopen Firefox and everything is fine.

There's a way to reproduce the problem, although I've also had the problem when this didn't happen.

If a Java applet is in the process of loading, and I close the window before it's fully loaded, the ghost process glitch happens every time. I've greatly reduced the occurrence of this problem by letting a Java applet that I mistakenly clicked on completely load before closing the tab/window. 

However, like I mentioned, that's not the only time the problem happens, just the most frequent. The browser will still occasionally crash while it's loading a new applet.

I recently had to switch to IE after it crashed while loading an applet during a presentation. I haven't had any problems running applets with IE so I'm curious if it is a problem with Java.
Comment 92 Gili 2007-11-16 08:42:28 PST
James, I wouldn't worry. As far as I know this issue is completely fixed in upcoming releases (update 4 and 5). Unfortunately neither of these releases are public so you can't test them.

It is possible that update N, which is a public release, contains this fix so what I would suggest is that you download it from https://jdk6.dev.java.net/6uNea.html#Download and let us know whether it fixes your problem.
Comment 93 Parkhideh 2008-02-06 00:04:09 PST
Gili,
   Ever since James mentioned IE, he started a fire, that I knew but didn't want to know.  That is why there is a group there that have no problem with playing Yahoo games.

So this is what I did:  
Using Win2000 and IE 6.0 and Firefox 2.0.0.1 with
JRE 1.4.2_10; 1.5.0_06; 1.6.0 and the one you suggested (#92) 1.6.0_10

1) Tested the link in comment #76:
   a) Firefox failed 1.4, 1.5 and 1.6.0;  passed 1.6.0_10
   b) IE passed all of them (! What did Sun tell MS that Mozilla doesn't know !)

   Also unlike under Win98 where I would see one Firefox task running after a crash and after all windows were closed; under Win2000 the Firefox window does not disappear from the screen or close.  The only way is to use the task manager and stop the single Firefox task. 

2) Played on Yahoo site, it hurts the ego but I went to the advanced rooms to be booted out:
   a) Firefox would crash every now and then (once every two hours) with 1.4; same with 1.5 BUT every time with 1.6.0 and never crashed with 1.6.0_10.
   b) IE never crashed.  I did it for six hours with 1.6.0 and not once did it crash.

3) Lets not call it a victory yet; a new problem appeared in 1.6.0 that does not show in 1.4.2.  
   a) Firefox : the window of Yahoo games completely disappears.  Without being booted (I was the host no one could boot me out).  In Yahoo games there are three windows; i) Main Yahoo Site  ii) The Games Room  iii) The table.
The window of the Table disappears on its own or as I suspect when a commercial hits (pure speculation on my part); then when this happens the Games Room window will not cooperate, except for closing.  Then without stopping the Main Site the sequence can be invoked.  Very odd behavior that I can only see (not create) wit JRE 1.6.0.  Unfortunately this happens in 1.6.0_10 as well.
   b) IE remains solid.  No window disappears under any JRE version.

   Approximate frequency of window disappearance was at least once an hour of playing (as a host); and never more than once every half an hour.  But my gut feeling is that the advertisements are interfering with the applet.  But IE is fine.  

   So my conclusion is that the problem of the crashing when applet is closing the window is corrected.  The new problem is bad enough that I recommend James not use Firefox for his presentations, not yet.

Comment 94 Gili 2008-02-06 07:41:26 PST
Parkhideh,

The IE and FireFox plugin architecture is totally different, which is why they have different bugs and FireFox will hang at places IE will not and vice-versa. FYI: The FireFox plugin architecture has been completely rewritten in FireFox 3.0

Now, as for the new problem you encountered of the window disappearing, it isn't clear to me what exactly the repro steps are. I don't work for Sun or FireFox so if you want Sun to take a look at this we're going to have to help them reproduce this easily on their end. Can you please provide clearer steps in note form?
Comment 95 Gili 2008-02-06 07:44:19 PST
I also forgot to mention: did you try reproducing this bug under FireFox 3.0 with the Java update 10 build 11 plugin?
Comment 96 Parkhideh 2008-02-06 23:14:43 PST
I would be happy to do the test and find a method of presenting the problem, if any.  However, my link  http://www.mozilla.org/products/  does not show Firefox 3, where do I find it?
Comment 97 Henrik Skupin (:whimboo) 2008-02-07 00:46:19 PST
Firefox 3 isn't released yet. But you could take a nightly build or the latest beta version: http://www.mozilla.com/en-US/firefox/all-beta.html

You should also have a try with the latest Java 6 Update 4 version installed.
Comment 98 Gili 2008-02-07 06:42:18 PST
As far as I know update 4 doesn't contain the new applet plugin so this won't really help him.

BTW: You can find the testing guidelines for the nwe applet plugin here: https://jdk6.dev.java.net/testPlugIn.html

The "Testing the new Java Plug-In" section describes how to enable the plugin (though I remember reading it is enabled by default in b11). Double check just to be sure.
Comment 99 Henrik Skupin (:whimboo) 2008-02-07 06:48:48 PST
(In reply to comment #94)
> FYI: The FireFox plugin architecture has been completely rewritten in FireFox
> 3.0

Do you have a bug number?
Comment 100 Gili 2008-02-07 06:50:13 PST
I do not. I am just repeating what I've heard from people at Sun.
Comment 101 danielle.pham 2008-02-07 17:19:02 PST
> FYI: The FireFox plugin architecture has been completely rewritten in FireFox
> 3.0

Clarification: We re-written Java Plugin in 6u10 for both IE and Firefox.
The new generation Java Plugin, aka, OOPP (Out-of-proc Plugin) is the default Plugin in 6u10.
However, if you want to use the older plugin by some reason, you can switch back via the Java Control Panel -> Advance -> Java Plugin, by unchecking "Enable the new generation plugin ..." and restart your browser.

For FF, the new generation Java Plugin is NPRuntime based. You must use FF3.0 in order to run the new plugin.
If you have FF2.0 line and using 6u10, it's the old plugin (OJI plugin for FF) that will automatically get kicked in.

Both FF3.0 and Java 6u10 are still under development. The later the builds you use for testing, the more stability you will see.
For FF3.0, I'd recommend to get latest nightly build from:

http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/

Latest FF3.0 nightly contains some of the fixes important to operate with Java 6u10.

> Problem 3) a) from comment #93.
This is fixed in 6u10 b12.
Build 12 is still under testing and will be promoted for public testing in about a week from today.

> Do you have a bug number? (for Java plugin re-architect)

There's no bug ID associated with the Java Plugin re-architect work.
It's a component for our jplan 427 to improve Java Plugin robustness in general.
Out of this jplan, we revamped the old plugin for 6u5 and rolled out OOPP in 6u10.
We integrated OOPP into our main codesource with bug ID 6622332.

> Java causes ghost Firefox process to remain after closing

About this problem for which this bugzilla was originally filed: OJI plugin of 6u5 and later or OOPP of 6u10 should fix this problem.

6u5 is not available for public testing yet. However, if anyone interested, contact me and I will find out if it's possible for you to early access it.

Comment 102 Parkhideh 2008-02-08 03:01:42 PST
This is what I saw after loading Firefox 3.0, Beta 2 

1) Checking Java version on site
         http://www.java.com/en/download/manual.jsp
     a) With Firefox 2 message said "you do not have the latest java version 1.6.0_3"
     b) With Firefox 3 it said "You have the recommended Java installed (1.6.0_10-ea)." 

2) After once running Firefox 3; and then starting Firefox 2;  it gave me this error;  see link
        http://info.paperlessprocess.com/Firefox/JAVA_Console_Err.jpg

3) I like this new feature (display of URL) on header-less windows; see link
        http://info.paperlessprocess.com/Firefox/New_URL_Link.jpg

4) On closing Firefox the CPU usage is    
     a) for Firefox 2, less than 10% for a duration of 3 seconds.
     b) for Firefox 3, 100% for a duration of over 10 seconds.
    See link
       http://info.paperlessprocess.com/Firefox/Closing_Firefox_CPU_Usage.jpg

    A tongue-in-cheek comment:  My worst application, Netbean IDE, takes 55% of CPU cycles for 3 seconds to close.  What are you doing folks! :)

5) While I was testing (playing Yahoo games), a player disappeared.  When the player returned, I asked what happened; the reply was that "my window disappeared".  I knew then what happened; I asked if she was running Firefox browser?  The answer came "no, Safari browser".

6) Regarding my previous comment (#93) on disappearing windows; 
     a) I noticed that every now and then, I get a "server not found" message from Firefox 2 when clicking on a link and asking it to be opened in a tab.  

This is true on pure html pages without java.  To mimic the condition, I closed down the network using firewall blocking; sure enough "Table" window of Yahoo Games disappears; However, an error message is produced.  So I thought the two may be related.  
     b) In Firefox 3, "server not found" message has appeared once; but no windows has disappeared from the screen so far.  Clicking on "Try again" button has always worked immediately.  See link
       http://info.paperlessprocess.com/Firefox/Server_Not_Found.jpg

7) My conclusions:
     a) It appears that Firefox 3.0, beta 2 is interfering with settings of Firefox 2.0;  See item 2 above.  Also my start-up URL (in Firefox 2.0) is sometimes different and then I see a second tab opening with my home URL.  The default browser was kept as Firefox 2.0.
     b) This comment does not belong to this bug and has been reported elsewhere.  But why doesn't this version have the Online/Offline indicator like 
Netscape and Thunderbird, on the corner of its window?  And why does one have to see the error message when one is offline.  For us non-network users this is such a headache.
     c) All my previously reported problems within the Firefox/Java could not be reproduced; and in the several hours spent none appeared in Firefox 3.0, beta 2.  We owe many a congratulations.
     d) Feeling-wise, except for items 4 and 6 above, software looks solid.  It is too soon to jump to conclusions; but I had a good feeling using it, something not so felt since Netscape 7.1.

8) A question:  Why do I see "Java(TM) Platform SE binary" want to access internet every now and then?  One occasion is when I looked (no action) at what Danielle suggested in comment #101 " :) no punts meant"  Java Control Panel -> Advance -> Java Plugin.
Comment 103 Parkhideh 2008-02-08 03:08:04 PST
(In reply to comment #102)

Correction: the link is: 
> 1) Checking Java version on site
>          http://www.java.com/en/download/installed.jsp
>      a) With Firefox 2 message said "you do not have the latest java version
> 1.6.0_3"
>      b) With Firefox 3 it said "You have the recommended Java installed
> (1.6.0_10-ea)." 
> 
Comment 104 Parkhideh 2008-02-13 01:53:09 PST
(In improving comment #102)
> This is what I saw after loading Firefox 3.0, Beta 2 
> 
> 6) Regarding my previous comment (#93) on disappearing windows; 
>      b) In Firefox 3, "server not found" message has appeared once; but no
> windows has disappeared from the screen so far.  
> 

     It appears that under some circumstances the "Table" window of Yahoo games still disappears.  It happened three times within an hour.  The odd item is seeing two active JAVA icons in the tray.  Usually when for any reason two icons appear, placing the mouse pointer on them makes one icon vanish.  Not this time, I could click on either and see the pop-up sub-menu.  See
    http://info.paperlessprocess.com/Firefox/Java_has_Two_Icons.jpg

Ref: Comment #101
> Problem 3) a) from comment #93.
> This is fixed in 6u10 b12.
> Build 12 is still under testing and will be promoted for public testing in
> about a week from today.

Danielle, 
    When and where will I find the new version 6u10 b12 ?
    Will it also addressed this double Icon display ?
Comment 105 Gili 2008-02-13 06:03:42 PST
Parkhideh,

Normally if you end up with two tray icons and one disappears when you move the mouse over it it means that the latter process got killed without removing its icon. In the case where both icons remain even after you pass your mouse over them it means both processes are still alive. You might want to bring up the Java Console of both (by right clicking on the tray icon) and figuring out what exactly they did last. Maybe it will give you a clue as to what happens right before the window disappears.
Comment 106 Parkhideh 2008-02-14 00:09:35 PST
(In reply to comment #105)
> Parkhideh,
> 
> Maybe it will give you a clue as to what happens right
> before the window disappears.
> 
Gili,
   I am afraid it didn't give me any clues; so I will leave it to the experts to decide.  All information is there, both consoles show activity from the begining.  See (sorry for gif instead of text; didn't want to loose it)
   http://info.paperlessprocess.com/Firefox/Java_has_Two_Consoles.gif

   Please let me know what this new "Java Birary" that wants to access internet is all about in version 6b10.  Today it came up when I started Netbeans IDE offline.
Comment 107 Masahiro YAMADA 2008-02-14 20:26:41 PST
*** Bug 404911 has been marked as a duplicate of this bug. ***
Comment 109 Gili 2008-02-19 18:18:32 PST
Masahiro,

Please try reproducing this using JRE 1.6 update N: https://jdk6.dev.java.net/6uNea.html
Comment 110 Masahiro YAMADA 2008-02-19 18:45:14 PST
(In reply to comment #109)
> 
> Please try reproducing this using JRE 1.6 update N:
> https://jdk6.dev.java.net/6uNea.html
> 
It seems to work fine. Minefiled did not hanged, and did not crashed on testcase.
Comment 111 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-02-20 07:03:17 PST
Fwiw, I installed the Java from:
http://www.java.net/download/jdk6/6u10/promoted/b11/binaries/jre-6u10-ea-bin-b11-windows-i586-p-24_jan_2008.exe
and with that, I crash with https://bugzilla.mozilla.org/attachment.cgi?id=279607 (the testcase attached to this bug) using current trunk build, after a few times reloading/going back/forward, etc.
I also noticed, that I don't see a broken applet icon anymore with the testcase and for some reason the Java applet seems to chew 100% cpu at certain times.
Comment 112 Gili 2008-02-20 07:10:48 PST
Does "trunk build" refer to FireFox 3.0 in this case? Can you include a stacktrace for the crash you are seeing? Right now there is no way for us to know whether it is crashing inside FireFox or inside the Java Plugin. If the bug is indeed in the Java Plugin then you should file a bug report at http://bugs.sun.com/
Comment 113 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-02-20 07:31:54 PST
Yes, "trunk build" means the latest nightly build from Firefox 3.
Unfortunately, Visual Studio doesn't seem able to catch the crash, Firefox just disappears without Visual Studio coming up before that (which would normally happen).
I'm pretty sure the crash is inside the Java Plugin.
Comment 114 Gili 2008-02-20 07:38:19 PST
That sounds extremely unlikely though because the new Java Plugin doesn't run in the same process-space as FireFox. I don't think there is much use reporting this to Sun before we can track down the stack-trace because they're going to need more information.

Is it possible for you to attach the Visual Studio debugger to FireFox while its running, then trigger the crash and go back to Visual Studio to see what the exit condition was?
Comment 115 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-02-20 07:52:46 PST
Yes, I did attach the Visual Studio debugger to Firefox while it was running, and then I did trigger the crash. The debugger didn't catch the crash, Firefox just disappeared without informing the debugger.

It seems to me when Java crashes, Firefox crashes too, because of bug 156493, no?
Comment 116 Henrik Skupin (:whimboo) 2008-02-20 08:00:25 PST
Martijn, what makes me wonder is that you don't see the Crash Reporter?
Comment 117 Gili 2008-02-20 08:01:54 PST
The new Java Plugin consists of two components:

1) Tiny stub which runs in the browser process-space and processes UI events (captures mouse clicks, paints to the screen)
2) JVM running in a different process which communicates with #1

From what I understand it is unlikely that #1 will crash because it is supposed to be a small piece of code. Essentially Sun resolved bug 156493 for their specific plugin instead of waiting for Mozilla to resolve the problem across all plugins in a more general way.

BTW: When FireFox terminates VisualStudio should be logging its return-code somewhere. From what you've told me it almost sounds as if FireFox is exiting "normally" instead of crashing. Do any of the FireFox committers reading this have any idea on how to debug this further?
Comment 118 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-02-20 08:25:09 PST
Basically, this is where the debugger ends (the cursor was at the bottom of the text), when Firefox exited.
http://martijn.martijn.googlepages.com/return_code.txt
Firefox is certainly not exiting "normally".

Henrik, no, the Crash Reporter doesn't come up for me.

I really wish I could give more useful crash info :(
Comment 119 timeless 2008-02-20 09:06:26 PST
martijn: you should be able to set a breakpoint on DebugBreak, but i suspect that the file was open because it was the last hit file from earlier.

you should try setting breakpoints on exit+abort and a couple of other friends.

It might also be easier to use windbg (not sure, but at this point i like windbg a lot more than msvc) http://developer.mozilla.org/en/docs/How_to_get_a_stacktrace_with_WinDbg
Comment 120 Ray Trent 2008-02-20 10:26:29 PST
Interestingly, I just noticed yesterday, by coincidence, FF crashing in this weird "just disappears with no trace" way when I was looking at this web page, and I scrolled down to expose one of its many Java calculators: http://www.yudkowsky.net/bayes/bayes.html

I wonder what the conditional probability of that is? :-)

I'm running a somewhat older (2007121009) build, but it sounds like a similar behavior... in case another test case is useful.
Comment 121 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-02-20 10:53:05 PST
I finally got 2 stacktraces, after a good deal of trying again and again.
I attached them to bug 393845, because they look similar to that bug.
So I guess I'm seeing that bug, sort of (although I'm not sure).

Timeless, I don't know where I should set those breakpoints you're talking of. (I probably would only know, if you explicitly told me where to put those, exactly).
I haven't tried out windbg yet (although, with previous attempts, it wasn't more useful than VC Express debugger)
Comment 122 R.K.Aa. 2008-03-08 10:18:21 PST
http://crash-stats.mozilla.com/report/index/198aa0fa-ed31-11dc-9c73-001a4bd43ed6?date=2008-03-08-17

second load of this site now crashes each time (but not when I merely go on browsing other sites; then the browser hangs after exit instead and the process needs to be killed before I can restart it.)

http://www1.tu.no/webcam/
Comment 123 Henrik Skupin (:whimboo) 2008-03-08 16:10:49 PST
R.K.Aa. what version of Java are you using?

I tested each of the mentioned testcases in this bug but I'm not able to reproduce a crash or a ghost process after closing with the latest official Java 6u5 release and Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9b5pre) Gecko/2008030806 Minefield/3.0b5pre ID:2008030806

Anyone who is up-to-date with the latest versions is able to reproduce it?
Comment 124 R.K.Aa. 2008-03-08 16:18:39 PST
Java Plug-in 1.6.0_03
Comment 125 R.K.Aa. 2008-03-08 16:58:14 PST
I thought I was updated - thank you for commenting. Upgraded to 1.6.0_05. (Seamonkey is not happy if Adblock is enabled on this page, but that's another issue.)

Seems to have stabilized. Loaded 4 times in succession - no crash. 
Comment 126 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-03-09 17:21:45 PDT
(In reply to comment #121)
> I finally got 2 stacktraces, after a good deal of trying again and again.
> I attached them to bug 393845, because they look similar to that bug.
> So I guess I'm seeing that bug, sort of (although I'm not sure).

Ok, bug 393845 is fixed, but I still see those crashes, so I filed bug 421833 now.

Comment 127 Henrik Skupin (:whimboo) 2008-03-09 23:51:41 PDT
(In reply to comment #126)
> Ok, bug 393845 is fixed, but I still see those crashes, so I filed bug 421833
> now.

Bug 393845 isn't about Java. So you see no ghost process anymore when closing Firefox?
Comment 128 Martijn Wargers [:mwargers] (gone per 2016-05-31 :-( ) 2008-03-10 04:45:20 PDT
The new bug is about Java Plug-in 1.6.0_10, the new Java version, that's in development, not about current Java version.
Comment 129 Henrik Skupin (:whimboo) 2008-03-10 16:35:25 PDT
I really would like to see this bug closed.

I encourage anyone who can still see this issue with the latest official release Java 6 Update 5 to give feedback. And if this happens, please tell us the website and your complete build identifier from within the about window.

If no reaction will take place within the next 3 weeks, I think we could close this bug as WFM.
Comment 130 Gili 2008-03-10 16:43:49 PDT
Henrik,

I don't think you can close this issue as WFM. For starters, the bugs described in this issue have not been fixed in the existing Java Plugin. Sun is applying all related fixes to Java 6 Update 10 (where the plugin has been rewritten) and that release hasn't been released to the public yet (it's only in beta testing now).

I believe that you can only close this issue once update 10 is released to the public (ETA: Fall 2008 according to Sun) and the people who have reported the original problems confirm that they are fixed with this new release.

The official schedule and all related information can be found here: https://jdk6.dev.java.net/6uNea.html
Comment 131 Jonas Sicking (:sicking) 2008-03-10 17:52:34 PDT
Well, for firefox issues we do close the bug as soon as it has been checked in to the tree, even if no public release, or even nightly build, has been made that contains the fix.

We don't really have a policy when it comes to fixes that are going into other products though as far as I know.
Comment 132 Grey Hodge (jX) 2008-03-10 18:39:37 PDT
Henrik: I too would love to see this bug closed. But it's not. I have just now uninstalled 6u4 and installed 6u5, restarted firefox, verified only 5 is present. The ghost process still wanders my task list. We can close it when it's fixed.
Comment 133 Parkhideh 2008-03-10 19:08:09 PDT
(In reply to comment #130)
Henrik,

   I agree with Gili;  it seems absurd that when reporting a bug with 1.6.0_3, and then learning of 1.6.0_10; now you want to close it with, I presume, 1.6.0_5 that we (I in reality) do not know about.

   If there is no policy, lets make one so we test what is destined to be the next release rather than a phantom one.
Comment 134 Henrik Skupin (:whimboo) 2008-04-29 11:31:03 PDT
(In reply to comment #132)
> Henrik: I too would love to see this bug closed. But it's not. I have just now
> uninstalled 6u4 and installed 6u5, restarted firefox, verified only 5 is
> present. The ghost process still wanders my task list. We can close it when
> it's fixed.

Grey, do you have clean STR I could follow to reproduce it on my side? Please also post your build id.
Comment 135 Robert Wideman 2008-06-18 20:22:27 PDT
I am experiencing this issue...
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0
Java 6 Update 6
URL: http://games.yahoo.com/games/ante
In order to get to this I go to games.yahoo.com/ca, log in, click a room, this brings up the URL in a Popup window and states:

This game cannot be played using your current settings. Please, try the following:

    * Check to make sure that java is enabled in your browser. (learn more)
    * If you do not have java installed you may download it here.
    * To learn more about java support for browsers, visit our help pages.

I have popup blockers disabled, adblock disabled, flashblock disabled.  Also, I have had this issue even on FF2 most updates...
Thanks
Robert
Comment 136 Robert Wideman 2008-06-18 21:24:43 PDT
I uninstalled all java and installed jxpiinstall.exe and it DL'ed the correct JRE (Java 6 Update 6) which is over 100mb install, the original was about 25mb, but still experienced the issues.  I uninstalled everything and installed Java 6 Update 10 Beta Build 25 and all is working fine, even with all extensions enabled.

Thanks
Robert
Comment 137 Henrik Skupin (:whimboo) 2008-10-20 04:18:51 PDT
Lately Sun has released Java(TM) Platform SE 6 U10 to the public. Everyone who is affected by this bug should download the release for testing purposes. You can find the installer on Suns website: http://tinyurl.com/4pkbm3

Does the new version solve your problems?
Comment 138 Masahiro YAMADA 2008-10-26 17:34:43 PDT
I cannot find stacktrace that contains jpinscp.dll of Java6u10 in 
http://crash-stats.mozilla.com/?do_query=1&product=Firefox&product=SeaMonkey&platform=windows&query_search=signature&query_type=contains&query=jpinscp.dll&date=&range_value=1&range_unit=weeks

But, default frequency of Java Automatic Update is Once per month.
So, today is too early to judge.

I think, If we cannot find crash stack trace that contains jpinscp.dll of java6u10 at middle of december or next year, we can set this bug as FIXED or WORKSFORME.
Comment 139 Masahiro YAMADA 2009-01-26 17:13:57 PST
Can anyone find crash report of STACK_OVERFLOW at jpinscp.dll with Java6u10 or later?

I cannot find.

I think wa can change this bug to WORKSFORME.
Comment 140 Henrik Skupin (:whimboo) 2009-01-27 06:21:36 PST
This was fixed externally. Means it is at least invalid. Due to no existing crash reports and no further comment since 3 month, I tend to resolve this bug too.

If anyone has problems please comment to this bug and we can reconsider opening it again. Thanks.
Comment 141 Cees T. 2009-02-05 10:14:33 PST
This bug is marked "INVALID - The problem described is not a bug."
but should be "WORKSFORME - All attempts at reproducing this bug were futile, and reading the code produces no clues as to why the described behavior would occur. If more information appears later, the bug can be reopened."

Other than that, it could be an instance of bug 230017 or such.
Comment 142 Parkhideh 2009-02-07 04:02:05 PST
(In reply to comment #141)
> This bug is marked "INVALID - The problem described is not a bug."
> but should be "WORKSFORME - All attempts at reproducing this bug were futile,
> and reading the code produces no clues as to why the described behavior would
> occur. If more information appears later, the bug can be reopened."
> 
> Other than that, it could be an instance of bug 230017 or such.

It is exactly a year since I loaded Firefox 3 and JRE 1.6.0_10; (my comments #93 & #102.)
Have not seen the ghost process residing in memory all this time until Cees T. made the announcement #141.
:)
Tonight, I was using three packages for over 10 continuous hours and the ghost appeared after shut down of Firefox.

See 
http://info.paperlessprocess.com/Firefox/Firefox_in_RAM.jpg

which shows Firefox running for 37 minutes at 100 percent CPU usage.  
[ I closed it and left for a coffee break without looking  :)  ]

The packages running were Turbo Tax (desktop), Turbo Tax (web version via Firefox) and Acrobat Reader 8.1.1, all for about six hours online.

Then I played our favorite Yahoo Games for four hours.
And then Firefox apparently did not shut down.
No wonder it is difficult to reproduce this problem; but I assure you it is there, seen or not seen in the code.

There was no disk activity, and the only reason I saw the problem is because the next application would not open after my coffee break, and I had no other application running.

Although a bug that shows up once a year can be brushed aside; but the way this bug hangs the computer will discourage all users who are already intimidated by computer applications.  To be exact, what percentage of "normal" users know when to wait and when to jump the gun and kill a process.  And then how many know how to find and kill the process that is using all the CPU cycles?

Don't take me wrong, I too like to see a four year old bug closed.
OS: Win 2000 with Sp4, Firefox 3.0, JRE 1.6.0_10 (Firefox was open for 10 hours during this session)
Comment 143 Parkhideh 2009-02-16 22:32:12 PST
(In reply to comment #140)
> This was fixed externally. Means it is at least invalid. Due to no existing
> crash reports and no further comment since 3 month, I tend to resolve this bug
> too.
> 
> If anyone has problems please comment to this bug and we can reconsider opening
> it again. Thanks.

Henrik,
I may have an explanation for why the bug was not reported in many months.

Today, from powerup I used only two programs, interchangeably:
1) NetBeans 5.0 with j2sdk1.4.2_10
2) NetBeans IDE 6.5 Beta with jdk1.6.0
    (They both call Firefox for testing applets)

Usually after this type of test I shut down my PC and come back later.  But because of my last report (#142) I am trying to maintain a long running mileage on Firefox.

After closing everything I saw the JAVA icon near the clock (an inch to the left of the lower right corner of the screen).  Looked at it and tried it as a console, but didn't see anything unusual.  It puzzled me that with all applications closed why it was there; but I have reported that somewhere before.

Then starting Firefox from an e-mail in Thunderbird I got an error message, see
http://info.paperlessprocess.com/Firefox/Firefox_in_RAM_twice.jpg

Had I shut the PC down, the problem would have not been seen.
I think the rest is self explanatory.  

OS: Win 2000 with Sp4, Firefox 3.0, JRE 1.6.0_10
Comment 144 Parkhideh 2009-02-23 03:05:09 PST
Following my own advice to look at the active processes before shutting down the PC this is what I see today:

One Firefox.exe and two Java.exe   and about 250 Mb of RAM missing.
The printout of each console is appended at the end.

Now instead of my usual killing the Firefox process this time I killed the Java.exe process.  First one gone, nothing happened.  Second one gone, and the RAM came back; AND Firefox.exe disappeared.

I hope this makes sense to somebody, because under normal conditions, killing the Java.exe process only makes the applet disappear and not the Firefox.exe process.

OS Win 2000 with SP4, Firefox 3.0, JRE 1.6.0_10
From powerup only Thunderbird and Firefox was used.
(The usual onlne Yahoo game stuff for six hours.)

-------------------------------------------------------------
This is the printout from one of the Java Consoles:

START - Java   - ENV - Applet2Environment.initialize
START - Java   - ENV - Applet2Environment.initialize - PluginSysUtil.getPluginThreadGroup
END   - Java   - ENV - Applet2Environment.initialize - PluginSysUtil.getPluginThreadGroup
START - Java   - ENV - Applet2Environment.initialize - Applet2BrowserService.install
END   - Java   - ENV - Applet2Environment.initialize - Applet2BrowserService.install
Java Plug-in 1.6.0_10-ea
Using JRE version 1.6.0_10-ea Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\Administrator


----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------

Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Copyright 1997-2005 Yahoo! Inc.
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0;jvmvendor=Sun Microsystems Inc.;jvmversion=1.6.0_10-ea
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sx/sp.gif
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sl_3/sp.gif
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Copyright 1997-2005 Yahoo! Inc.
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0;jvmvendor=Sun Microsystems Inc.;jvmversion=1.6.0_10-ea
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sx/sp.gif
Applet status: Starting applet teardown
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sl_3/sp.gif
Applet status: Finished applet teardown
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Exception in thread "thread applet-com.yahoo.games.client.common.remotetable.RemoteTableApplet-3" java.lang.NullPointerException
	at y.dp.tipTextConnected(Unknown Source)
	at y.fh.f(Unknown Source)
	at y.co.a(Unknown Source)
	at y.co.a(Unknown Source)
	at y.dv.a(Unknown Source)
	at y.ft.b(Unknown Source)
	at y.ft.a(Unknown Source)
	at y.ft.<init>(Unknown Source)
	at com.yahoo.games.client.common.remotetable.RemoteTableApplet.init(Unknown Source)
	at sun.plugin2.applet.Applet2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Applet status: Starting applet teardown
Applet status: Finished applet teardown
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Copyright 1997-2005 Yahoo! Inc.
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0;jvmvendor=Sun Microsystems Inc.;jvmversion=1.6.0_10-ea
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sx/sp.gif
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sl_3/sp.gif
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
appletcontext.audio.loaded
Applet status: Starting applet teardown
Applet status: Finished applet teardown
Applet status: Starting applet teardown
Applet status: Finished applet teardown

-------------------------------------------------------------
This is the printout from the other Java Console:

START - Java   - ENV - Applet2Environment.initialize
START - Java   - ENV - Applet2Environment.initialize - PluginSysUtil.getPluginThreadGroup
END   - Java   - ENV - Applet2Environment.initialize - PluginSysUtil.getPluginThreadGroup
START - Java   - ENV - Applet2Environment.initialize - Applet2BrowserService.install
END   - Java   - ENV - Applet2Environment.initialize - Applet2BrowserService.install
Java Plug-in 1.6.0_10-ea
Using JRE version 1.6.0_10-ea Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\Administrator


----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------

Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Copyright 1997-2005 Yahoo! Inc.
Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0;jvmvendor=Sun Microsystems Inc.;jvmversion=1.6.0_10-ea
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sx/sp.gif
getting image: http://yog88.games.scd.yahoo.com/i/us/ga/sl_3/sp.gif
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Applet status: Starting applet teardown
Applet status: Finished applet teardown
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Applet status: Starting applet teardown
Applet status: Finished applet teardown
Applet status: Applet loaded.
Applet status: Applet resized and added to parent container
Applet status: Applet initialized
Applet status: Applet made visible
Applet status: Starting applet
Applet status: Applet started
Applet status: Told clients applet is started
Applet status: Starting applet teardown
Applet status: Finished applet teardown
Applet status: Starting applet teardown
Applet status: Finished applet teardown

-------------------------------------------------------------
The Task manager and task bar can be seen at

http://info.paperlessprocess.com/Firefox/Two-Java_1-Firefox.jpg
Comment 145 Parkhideh 2009-03-10 00:00:10 PDT
(In reply to comment #140)
> This was fixed externally. Means it is at least invalid. Due to no existing
> crash reports and no further comment since 3 month, I tend to resolve this bug
> too.
> 
> If anyone has problems please comment to this bug and we can reconsider opening
> it again. Thanks.

Henrik, it should be clear that I have a problem with this bug being closed without a resolution.

The reason it should be active is the following:  Read comments #54 and onwards in Bug 407981 and you will see the problem has simply been reported to the incorrect location for the last four months.

The reason it was incorrectly reported is because there was another issue; and that was Firefox would take a long time to shut down (Bug 407981).  However, we all moved from the slow shut down to never shutting down :) .  From the latest reports I realized they are seeing the ghost and thinking of the original problem.  So the problem has been seen AND reported all along.

Your call.
Comment 146 timeless 2009-03-10 04:24:50 PDT
sorry, if the problem is caused by java then the bug is invalid, we can't fix it <PERIOD>.

we're being nice by allowing some public discussion about a related technology in our tracking system, but that is all.
Comment 147 stevpan 2009-04-18 19:47:15 PDT
Hi, all! 
I still think perhaps it can fixed inside Firefox. as this issue does not happen in IE,

This issue may lies in Java-plugin and Firefox. I reproduced it always with a large applet and slow network speed when Java internet files cache was turned off (Firefox 3.08/Jre 6update 13/WindowsXp sp2). It may appear randomly as network speed is not always stable. 

It had also been reported to Sun. 
Sun bug database: 6784392
http://bugs.sun.com/view_bug.do?bug_id=6784392
bug reported in sun forums: 
http://forums.sun.com/thread.jspa?threadID=5380900&tstart=0

If it's verified that not a Firefox bug, we could vote for the sun bug. Otherwise, it may never be fixed.
Comment 148 Jonas Sicking (:sicking) 2009-04-18 20:51:32 PDT
This *has* been determined to be a java problem. The plugin code for IE and Firefox is very different, so the fact that the problem only shows up in Firefox is not proof that it's a firefox problem.
Comment 149 Parkhideh 2009-04-22 06:40:48 PDT
(In reply to comment #147)
> Hi, all! 
> I still think perhaps it can fixed inside Firefox. as this issue does not
> happen in IE,
> 
> This issue may lies in Java-plugin and Firefox. I reproduced it always with a
> large applet and slow network speed when Java internet files cache was turned
> off (Firefox 3.08/Jre 6update 13/WindowsXp sp2). It may appear randomly as
> network speed is not always stable. 
> 
> It had also been reported to Sun. 
> Sun bug database: 6784392
> http://bugs.sun.com/view_bug.do?bug_id=6784392
> bug reported in sun forums: 
> http://forums.sun.com/thread.jspa?threadID=5380900&tstart=0
> 
> If it's verified that not a Firefox bug, we could vote for the sun bug.
> Otherwise, it may never be fixed.
stevpan,
     Unfortunately there are more than one way to make Firefox.exe stay in memory.  This bug report is for the damage done by Java.  For other methods like the one you mentioned "network speed" please report it under bug 407981.

Note You need to log in before you can comment on or make changes to this bug.